Subject: FVWM: FvwmButton bugs ?

From: [email-masked] (Albrecht Kadlec)
Date: Tue, 30 Apr 96 18:43:31 +0200

some things I found while upgrading to 2.0.42 (finally found the time)

I accidently wrote 
*FvwmButtonx (Swallow xclock "Exec xclock -geometry -1500-1500 -bg Grey -fg Black -padding 0")
and got a button with an x as the title, no icon, and every time I click,
fvwm outputs the errormessage: 
[FVWM][executeModule]: <<ERROR>> No such module /net/vta_host/home/vta_host/albr
echt/bin xclock

second: 
I had absolutely no luck swallowing "FvwmButton" in "FvwmButton FvwmSwallow"
	*FvwmSwallow(4x2, Swallow FvwmButtons FvwmButtons)

always crashes with obscure X errors about reparenting:

FvwmSwallow: Cause of next X Error.
X Error of failed request:  BadWindow (invalid Window parameter)
  Major opcode of failed request:  25 (X_SendEvent)
  Minor opcode of failed request:  0
  Resource id in failed request:  0x300003
  Serial number of failed request:  449
  Current serial number in output stream:  451
FvwmSwallow: Cause of next X Error.
X Error of failed request:  BadMatch (invalid parameter attributes)
  Major opcode of failed request:  7 (X_ReparentWindow)
  Minor opcode of failed request:  0
  Resource id in failed request:  0x300002
  Serial number of failed request:  105
  Current serial number in output stream:  108

I now use a container, but I didn't want to convert all my config at once.

also when I use
	*FvwmButtons (Icon toolbox.xpm,	Action "Menu Tools	Exec xlock -allowroot") 

I can't ever get the display to lock, while
	AddToFunc "DoorQuit"
	+	"Motion"	Exec exec @@
	+	"Click"		Quit

	*FvwmButtons (Icon Door.bmp,	Action "Function DoorQuit")
does work -double click kicks fvwm out of it's shoes :-)

And last but not least, I can't really say that NoKill/UseOld are working,
since when I restart fvwm2, the swallowed programs are still
killed/restarted. one example, to make sure it's not a
typo/misunderstanding: 

*FvwmButtons (Swallow (NoKill, UseOld) xbiff "Exec xbiff -geometry -1500-1500 -bg Grey -fg Black") 

regards,
albrecht
-- 
But when it comes right down to it, there's no use trying to pretend
For when it gets right down to it, there's no one here that's left to blame, 
Blame it on me, you can blame it on me
we're just sugar mice in the rain		-- Marillion
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].